Page MenuHomePhabricator

(Feature request) Create general worklists for Lingua Libre pronunciation
Closed, ResolvedPublic

Description

I have tried out the user interface of Lingua Libre, and I love the project!

The step where I get stuck most, is the third one in the recording wizard ("Details"). As a casual passer-by who wants to do useful things but does not know where to start, I am confused and don't know which words to type/choose.

Maybe it's a good idea to make a good bunch of pre-selected lists of words to pronounce, for clueless and aimless people like me... Perhaps you can investigate which words are most often used in each language and/or typically first learned in a new language, and also make pre-selected list of e.g. food items, everyday household items, everyday items outside and in cities, related to work, school, travel, etc etc etc.

If you base these on Wikidata items, they can perhaps appear in the language that the speaker selects? Not sure if this will work in 100% of cases.

I hope this suggestion is useful!

Event Timeline

Spinster renamed this task from Create general worklists for Lingua Libre pronunciation to (Feature request) Create general worklists for Lingua Libre pronunciation.Jun 7 2018, 7:57 PM
Spinster created this task.
0x010C moved this task from Backlog to RecordWizard on the Lingua Libre board.Jun 8 2018, 12:29 AM
0x010C added a comment.Jun 8 2018, 1:25 AM

Hi!

Thanks for your feedback!

I though this can be a problem, and to resolve it I've added at the bottom of the word list several buttons which can dynamically generate word lists:

  • List: Allow the user to select a list created by a contributor. As Lingua Libre is a wiki, anyone can create new lists (e.g. List:Eng/simple_words). If you want to make records in Dutsch, no lists will be shown today, because there is no dutsch lists yet... You can create some (for you, and the next Dutsch speakers!), it's documented on this help page.
  • Nearby items: It will search the label in your language of Wikidata items that are near your position.
  • Wikimedia category: You can import as a word list the titles of all articles inside a Wikipedia (or Wiktionary soon) category.

Did those buttons resolves your suggestion?
And as I'm not so good in user interfaces, did you had seen those buttons? Had you tried them? Or are their functionalities too unclear in your opinion?

Vvjjkkii renamed this task from (Feature request) Create general worklists for Lingua Libre pronunciation to sfbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from sfbaaaaaaa to (Feature request) Create general worklists for Lingua Libre pronunciation.Jul 2 2018, 3:09 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
Pamputt added a subscriber: Pamputt.EditedNov 21 2018, 10:24 PM

@Spinster, does what 0x010C proposes solve your problem? Can we close this task?

Yug closed this task as Resolved.Dec 23 2018, 9:03 PM
Yug claimed this task.
Yug added a subscriber: Yug.

This issue seems ready to be closed thanks to @0x010C . Isn't it ?